Bug 510962 - (pypoppler) Review Request: pypoppler - Python bindings for the Poppler PDF rendering library
Review Request: pypoppler - Python bindings for the Poppler PDF rendering lib...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
: Reopened
: 507621 (view as bug list)
Depends On:
Blocks: 497656 794970
  Show dependency treegraph
 
Reported: 2009-07-12 17:28 EDT by Fabian Affolter
Modified: 2012-03-02 07:56 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.10.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-07-12 17:28:14 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-poppler.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-poppler-0.10.0-1.fc11.src.rpm

Project URL: https://launchpad.net/poppler-python

Description:
Python bindings for the Poppler PDF rendering library. It is needed to
run programs written in Python and using Poppler set.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1469440

rpmlint output:
[fab@laptop09 SRPMS]$ rpmlint python-poppler-0.10.0-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop09 i586]$ rpmlint python-poppler*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jason Tibbitts 2009-07-12 20:43:24 EDT
Indeed, this builds and installs fine and rpmlint is silent.  There's not much at all to it.

python-poppler is an acceptable name for this package, but pypoppler is also acceptable (and it's conveniently the name of the tarball).  Of course, upstream confuses the issue by naming the project poppler-python.  In the end, the choice is yours.  I would only advise that you consider what users will look for when they go to install the package.

* source files match upstream.  sha256sum:                    
   1c09814a457375da607aa400cd8774b98c016c760ea513e3a22357cf4fca63b1
   pypoppler-0.10.0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   poppler.so()(64bit)
   python-poppler = 0.10.0-1.fc12
   python-poppler(x86-64) = 0.10.0-1.fc12
  =
   libatk-1.0.so.0()(64bit)
   libcairo.so.2()(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)
   libpoppler-glib.so.4()(64bit)
   python(abi) = 2.6

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Fabian Affolter 2009-07-13 02:02:15 EDT
(In reply to comment #1)
> python-poppler is an acceptable name for this package, but pypoppler is also
> acceptable (and it's conveniently the name of the tarball).  Of course,
> upstream confuses the issue by naming the project poppler-python.  In the end,
> the choice is yours.  I would only advise that you consider what users will
> look for when they go to install the package.

Thanks for this advise and the review.  Package renamed to 'pypoppler'.

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/pypoppler.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/pypoppler-0.10.0-1.fc11.src.rpm
Comment 3 Fabian Affolter 2009-07-13 02:03:50 EDT
New Package CVS Request
=======================
Package Name: pypoppler
Short Description: Python bindings for the Poppler PDF rendering library
Owners: fab
Branches: F-10 F-11
InitialCC:
Comment 4 Fabian Affolter 2009-07-13 02:05:44 EDT
Ups, require the renaming of the package a new review?
Comment 5 Mamoru TASAKA 2009-07-13 03:04:27 EDT
Sorry, however closing.

*** This bug has been marked as a duplicate of bug 507621 ***
Comment 6 Fabian Affolter 2009-07-13 14:34:34 EDT
Hicham agreed that we go on with this review and close #507621
Comment 7 Fabian Affolter 2009-07-13 14:35:35 EDT
*** Bug 507621 has been marked as a duplicate of this bug. ***
Comment 8 Fabian Affolter 2009-07-13 14:36:31 EDT
Again cvs...

New Package CVS Request
=======================
Package Name: pypoppler
Short Description: Python bindings for the Poppler PDF rendering library
Owners: fab
Branches: F-10 F-11
InitialCC:
Comment 9 Kevin Fenzi 2009-07-14 00:46:14 EDT
cvs done.
Comment 10 Fabian Affolter 2009-07-14 16:36:54 EDT
Kevin, I'm not able to check out the module.  Can you please have a look?
Comment 11 Jason Tibbitts 2009-07-14 17:02:51 EDT
It looked OK in pkgdb, but I didn't see the directory in CVS so I ran pkgdb2branch.py pypoppler and it seems to have created everything.
Comment 12 Fabian Affolter 2009-07-14 17:23:16 EDT
Thank you Jason, now it's working.
Comment 13 Fedora Update System 2009-07-14 17:40:30 EDT
pypoppler-0.10.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pypoppler-0.10.0-1.fc11
Comment 14 Fedora Update System 2009-07-19 06:33:12 EDT
pypoppler-0.10.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fabian Affolter 2012-03-02 05:31:53 EST
Package Change Request
======================
Package Name: pypoppler
New Branches: el6
Owners: fab
Comment 16 Gwyn Ciesla 2012-03-02 07:56:03 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.